[@rxap/window-system](../wiki/globals) / WindowTaskBarContainerComponent

# Class: WindowTaskBarContainerComponent

Defined in: [packages/angular/window-system/src/lib/window-task-bar/window-task-bar-container/window-task-bar-container.component.ts:38](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-task-bar/window-task-bar-container/window-task-bar-container.component.ts#L38)

## Constructors

### new WindowTaskBarContainerComponent()

> **new WindowTaskBarContainerComponent**(`windowService`, `settings`): [`WindowTaskBarContainerComponent`](../wiki/Class.WindowTaskBarContainerComponent)

Defined in: [packages/angular/window-system/src/lib/window-task-bar/window-task-bar-container/window-task-bar-container.component.ts:42](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-task-bar/window-task-bar-container/window-task-bar-container.component.ts#L42)

#### Parameters

##### windowService

[`WindowService`](../wiki/Class.WindowService)

##### settings

`null` | [`WindowTaskBarContainerSettings`](../wiki/Interface.WindowTaskBarContainerSettings)

#### Returns

[`WindowTaskBarContainerComponent`](../wiki/Class.WindowTaskBarContainerComponent)

## Properties

### expand

> **expand**: `boolean` = `true`

Defined in: [packages/angular/window-system/src/lib/window-task-bar/window-task-bar-container/window-task-bar-container.component.ts:40](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-task-bar/window-task-bar-container/window-task-bar-container.component.ts#L40)

***

### windowService

> **windowService**: [`WindowService`](../wiki/Class.WindowService)

Defined in: [packages/angular/window-system/src/lib/window-task-bar/window-task-bar-container/window-task-bar-container.component.ts:44](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-task-bar/window-task-bar-container/window-task-bar-container.component.ts#L44)
